Bug 127916 - CAN-2004-0138 Verify interpreter (ipf)
CAN-2004-0138 Verify interpreter (ipf)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-15 07:04 EDT by Mark J. Cox (Product Security)
Modified: 2013-08-05 21:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-13 15:06:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-07-15 07:04:50 EDT
A flaw was found and fixed in 2.6 (and backported to 2.4 on 20040204).
 On ia64 platforms that can allegedly cause a local unprivileged user
to oops the kernel; but others have said that it causes a BUG() and
leaking vma only.

http://linux.bkbits.net:8080/linux-2.6/cset@3f96a083QbCcQgd-bg2Bt2-LMX-QJg
       
http://linux.bkbits.net:8080/linux-2.4/cset@4021346f79nBb-4X_usRikR3Iyb4Vg

Therefore fixed in 2.4.25
Comment 1 Jim Paradis 2004-11-16 19:59:23 EST
This fix will be included in the second U6 respin, scheduled for 11/16/04
Comment 2 Jim Paradis 2004-11-16 23:14:01 EST
This fix has been committed to the RHEL2.1 U6 source pool for versions
2.4.9-e.56 (x86) and 2.4.9-e.51 (ia64)
Comment 3 John Flanagan 2004-12-13 15:06:37 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-505.html
Comment 4 John Flanagan 2004-12-13 15:17:13 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-504.html
Comment 5 Marcel Holtmann 2006-05-31 09:17:51 EDT
The correct CVE name for this issue is CVE-2004-0138.

Note You need to log in before you can comment on or make changes to this bug.